diff --git a/modules/visualization/visual/effects.c b/modules/visualization/visual/effects.c
index a5726be..1103375 100644
--- a/modules/visualization/visual/effects.c
+++ b/modules/visualization/visual/effects.c
@@ -819,7 +819,7 @@ int scope_Run(visual_effect_t * p_effect, vlc_object_t *p_aout,
         uint8_t i_value;
 
         /* Left channel */
-        i_value =  p_sample[p_effect->i_idx_left] * 127;
+        i_value =  (1.0+p_sample[p_effect->i_idx_left]) * 127;
         *(ppp_area[0][0]
                 + p_picture->p[0].i_pitch * i_index / p_effect->i_width
                 + p_picture->p[0].i_lines * i_value / 512
@@ -831,7 +831,7 @@ int scope_Run(visual_effect_t * p_effect, vlc_object_t *p_aout,
 
 
         /* Right channel */
-        i_value = p_sample[p_effect->i_idx_right] * 127;
+        i_value = (1.0+p_sample[p_effect->i_idx_right]) * 127;
         *(ppp_area[1][0]
                 + p_picture->p[0].i_pitch * i_index / p_effect->i_width
                 + p_picture->p[0].i_lines * i_value / 512
